Payment links
Create and manage shareable payment URLs.
/linksAuthorization
oauth2 links:readA short-lived token for one installation.
In: header
Scope: links:read
Query Parameters
At most 100.
Text to look for.
Filter by status.
Filter by usage mode.
Filter by payment instance.
Field to sort by.
Sort direction.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.mytpe.app/api/ext/links" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"payment_instance_id": "63c9f7be-d877-42d2-bb44-1f2937d118ab",
"owner": {},
"form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",
"slug": "string",
"title": "string",
"description": "string",
"logo": "string",
"own_logo": "string",
"amount_mode": "fixed",
"amount": 0,
"min_amount": 0,
"max_amount": 0,
"amount_options": [
{
"label": "string",
"amount": 0
}
],
"allow_custom_amount": true,
"currency": "string",
"usage_mode": "one_shot",
"max_uses": 0,
"target_amount": 0,
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"paid_count": 0,
"total_collected": 0,
"status": "draft",
"allowed_payers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"phone": "string",
"used_at": "2019-08-24T14:15:22Z"
}
],
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"abilities": [
"string"
]
}
],
"meta": {
"current_page": 0,
"last_page": 0,
"per_page": 100,
"total": 0,
"from": 0,
"to": 0,
"path": "string",
"links": []
},
"links": {
"first": "string",
"last": "string",
"prev": "string",
"next": "string"
}
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/linksAuthorization
oauth2 links:writeA short-lived token for one installation.
In: header
Scope: links:write
Header Parameters
8 to 128 characters, unique per operation within the account. Repeating it returns the first response with Idempotent-Replayed: true.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.mytpe.app/api/ext/links" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN" \ -H "Idempotency-Key: your-unique-key" \ -H "Content-Type: application/json" \ -d '{"payment_instance_id": "your-payment-instance-id", "title": "Your title", "amount_mode": "fixed", "usage_mode": "one_shot", "amount": 1000}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"payment_instance_id": "63c9f7be-d877-42d2-bb44-1f2937d118ab",
"owner": {},
"form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",
"slug": "string",
"title": "string",
"description": "string",
"logo": "string",
"own_logo": "string",
"amount_mode": "fixed",
"amount": 0,
"min_amount": 0,
"max_amount": 0,
"amount_options": [
{
"label": "string",
"amount": 0
}
],
"allow_custom_amount": true,
"currency": "string",
"usage_mode": "one_shot",
"max_uses": 0,
"target_amount": 0,
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"paid_count": 0,
"total_collected": 0,
"status": "draft",
"allowed_payers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"phone": "string",
"used_at": "2019-08-24T14:15:22Z"
}
],
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"abilities": [
"string"
]
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/links/{id}Authorization
oauth2 links:readA short-lived token for one installation.
In: header
Scope: links:read
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.mytpe.app/api/ext/links/your-id" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"payment_instance_id": "63c9f7be-d877-42d2-bb44-1f2937d118ab",
"owner": {},
"form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",
"slug": "string",
"title": "string",
"description": "string",
"logo": "string",
"own_logo": "string",
"amount_mode": "fixed",
"amount": 0,
"min_amount": 0,
"max_amount": 0,
"amount_options": [
{
"label": "string",
"amount": 0
}
],
"allow_custom_amount": true,
"currency": "string",
"usage_mode": "one_shot",
"max_uses": 0,
"target_amount": 0,
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"paid_count": 0,
"total_collected": 0,
"status": "draft",
"allowed_payers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"phone": "string",
"used_at": "2019-08-24T14:15:22Z"
}
],
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"abilities": [
"string"
]
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/links/{id}Authorization
oauth2 links:writeA short-lived token for one installation.
In: header
Scope: links:write
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.mytpe.app/api/ext/links/your-id" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{"sector_type": "Your sector type"}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"payment_instance_id": "63c9f7be-d877-42d2-bb44-1f2937d118ab",
"owner": {},
"form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",
"slug": "string",
"title": "string",
"description": "string",
"logo": "string",
"own_logo": "string",
"amount_mode": "fixed",
"amount": 0,
"min_amount": 0,
"max_amount": 0,
"amount_options": [
{
"label": "string",
"amount": 0
}
],
"allow_custom_amount": true,
"currency": "string",
"usage_mode": "one_shot",
"max_uses": 0,
"target_amount": 0,
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"paid_count": 0,
"total_collected": 0,
"status": "draft",
"allowed_payers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"phone": "string",
"used_at": "2019-08-24T14:15:22Z"
}
],
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"abilities": [
"string"
]
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/links/{id}/archiveAuthorization
oauth2 links:writeA short-lived token for one installation.
In: header
Scope: links:write
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.mytpe.app/api/ext/links/your-id/archive" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"message": "string"
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/links/{id}/pauseAuthorization
oauth2 links:writeA short-lived token for one installation.
In: header
Scope: links:write
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.mytpe.app/api/ext/links/your-id/pause" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"payment_instance_id": "63c9f7be-d877-42d2-bb44-1f2937d118ab",
"owner": {},
"form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",
"slug": "string",
"title": "string",
"description": "string",
"logo": "string",
"own_logo": "string",
"amount_mode": "fixed",
"amount": 0,
"min_amount": 0,
"max_amount": 0,
"amount_options": [
{
"label": "string",
"amount": 0
}
],
"allow_custom_amount": true,
"currency": "string",
"usage_mode": "one_shot",
"max_uses": 0,
"target_amount": 0,
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"paid_count": 0,
"total_collected": 0,
"status": "draft",
"allowed_payers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"phone": "string",
"used_at": "2019-08-24T14:15:22Z"
}
],
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"abilities": [
"string"
]
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/links/{id}/publishAuthorization
oauth2 links:writeA short-lived token for one installation.
In: header
Scope: links:write
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.mytpe.app/api/ext/links/your-id/publish" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"payment_instance_id": "63c9f7be-d877-42d2-bb44-1f2937d118ab",
"owner": {},
"form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",
"slug": "string",
"title": "string",
"description": "string",
"logo": "string",
"own_logo": "string",
"amount_mode": "fixed",
"amount": 0,
"min_amount": 0,
"max_amount": 0,
"amount_options": [
{
"label": "string",
"amount": 0
}
],
"allow_custom_amount": true,
"currency": "string",
"usage_mode": "one_shot",
"max_uses": 0,
"target_amount": 0,
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"paid_count": 0,
"total_collected": 0,
"status": "draft",
"allowed_payers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"phone": "string",
"used_at": "2019-08-24T14:15:22Z"
}
],
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"abilities": [
"string"
]
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/links/{id}/resumeAuthorization
oauth2 links:writeA short-lived token for one installation.
In: header
Scope: links:write
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.mytpe.app/api/ext/links/your-id/resume" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"payment_instance_id": "63c9f7be-d877-42d2-bb44-1f2937d118ab",
"owner": {},
"form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",
"slug": "string",
"title": "string",
"description": "string",
"logo": "string",
"own_logo": "string",
"amount_mode": "fixed",
"amount": 0,
"min_amount": 0,
"max_amount": 0,
"amount_options": [
{
"label": "string",
"amount": 0
}
],
"allow_custom_amount": true,
"currency": "string",
"usage_mode": "one_shot",
"max_uses": 0,
"target_amount": 0,
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"paid_count": 0,
"total_collected": 0,
"status": "draft",
"allowed_payers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"phone": "string",
"used_at": "2019-08-24T14:15:22Z"
}
],
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"abilities": [
"string"
]
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}